!**********************************************************************
!* An HPF parser test program                                         * 
!* Name: directive_11.90                                              *
!* Author: Giriraj Vengurlekar                                        *
!* Date: Nov. 21, 1995                                                *
!* Main testing points: directive origin/EXTRINSIC                    *
!* Rules/Options touched:                                             *
!*                                                                    *
!*   RULE#         DESCRIPTION                                        *
!*   H601/1    extrinsic prefix is EXTRINSIC (extrinsic kind keyword) *
!*   H602/1    extrinsic kind keyword is HPF                          *
!*   H602/2                           or HPF_local                    *
!**********************************************************************
      PROGRAM directive_11
      INTEGER  :: I
      INTEGER, PARAMETER :: N = 10
      INTEGER, DIMENSION(N) :: X
      INTEGER, DIMENSION(N+1) :: Y
!************************************************************************
! Check for the extrinsic keyword
! Check for directive ORIGIN
!************************************************************************      
      INTERFACE
        EXTRINSIC(HPF_LOCAL) SUBROUTINE TRY()
!          Some code goes here
        END SUBROUTINE
        EXTRINSIC(HPF) SUBROUTINE TRYAGAIN()
!         Some code here
        END SUBROUTINE
      END INTERFACE
      end
